// Create animated stars background
function createStars() {
  const stars = document.querySelector('.stars');
  const count = 200;
  
  for (let i = 0; i < count; i++) {
    const star = document.createElement('div');
    star.style.position = 'absolute';
    star.style.width = Math.random() * 3 + 'px';
    star.style.height = star.style.width;
    star.style.background = '#fff';
    star.style.borderRadius = '50%';
    star.style.top = Math.random() * 100 + '%';
    star.style.left = Math.random() * 100 + '%';
    star.style.animation = `twinkle ${Math.random() * 3 + 2}s infinite`;
    stars.appendChild(star);
  }
}

// Add glitch effect to 404 text
function addGlitchEffect() {
  const glitch = document.querySelector('.glitch');
  const originalText = glitch.textContent;
  
  setInterval(() => {
    const shouldGlitch = Math.random() < 0.1;
    if (shouldGlitch) {
      glitch.textContent = glitch.textContent
        .split('')
        .map(char => Math.random() < 0.5 ? String.fromCharCode(char.charCodeAt(0) + Math.floor(Math.random() * 10)) : char)
        .join('');
      
      setTimeout(() => {
        glitch.textContent = originalText;
      }, 100);
    }
  }, 50);
}

// Initialize animations
document.addEventListener('DOMContentLoaded', () => {
  createStars();
  addGlitchEffect();
});